#### D.15.27.2 rswalk

Procedure from library `swalk.lib` (see swalk_lib).

Usage:
  rswalk(i,weight_rad,p_deg[,v,w]); i ideal, v,w int vectors

Return:
  The sagbi basis of the subalgebra defined by the generators of i, calculated via the Sagbi walk algorithm from the ordering dp to lp if v,w are not given (resp. from the ordering (a(v),lp) to the ordering (a(w),lp) if v and w are given).

Example:

    LIB "swalk.lib";
    ring r = 0,(x,y), lp;
    ideal I =x2,y2,xy+y,2xy2+y3;
    rswalk(I,2,2);
    ==> _[1]=x2
    ==> _[2]=y2
    ==> _[3]=xy+y
    ==> _[4]=xy2
    ==> _[5]=y3

User manual for Singular version 4.4.1, 2025, generated by texi2html.